<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.ds-vector.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'pt_BR',
  ),
  'this' => 
  array (
    0 => 'ds-vector.apply.php',
    1 => 'Ds\\Vector::apply',
  ),
  'up' => 
  array (
    0 => 'class.ds-vector.php',
    1 => 'Ds\\Vector',
  ),
  'prev' => 
  array (
    0 => 'ds-vector.allocate.php',
    1 => 'Ds\\Vector::allocate',
  ),
  'next' => 
  array (
    0 => 'ds-vector.capacity.php',
    1 => 'Ds\\Vector::capacity',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'pt_BR',
    'path' => 'reference/ds/ds/vector/apply.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="ds-vector.apply" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Ds\Vector::apply</h1>
  <p class="verinfo">(PECL ds &gt;= 1.0.0)</p><p class="refpurpose"><span class="refname">Ds\Vector::apply</span> &mdash; <span class="dc-title">Atualiza todos os valores aplicando uma função de callback a cada valor</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-ds-vector.apply-description">
  <h3 class="title">Descrição</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>Ds\Vector::apply</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$callback</code></span>): <span class="type"><a href="language.types.void.php" class="type void">void</a></span></div>

  <p class="para rdfs-comment">
    Atualiza todos os valores aplicando uma função de <code class="parameter">callback</code>
    a cada valor no vetor.
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-ds-vector.apply-parameters">
  <h3 class="title">Parâmetros</h3>
  <dl>
   
    <dt><code class="parameter">callback</code></dt>

    <dd>
        <p class="para">
            <div class="methodsynopsis dc-description">
                <span class="methodname"><span class="replaceable">callback</span></span>(<span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$value</code></span>): <span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span></div>

        </p>
        <p class="para">
            Um <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> para aplicar a cada valor no vetor.
        </p>

        <p class="para">
            A função de callback deve retornar o valor pelo qual o valor deve ser substituído.
        </p>
    </dd>

   
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-ds-vector.apply-returnvalues">
  <h3 class="title">Valor Retornado</h3>
  <p class="para">
    Nenhum valor é retornado.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-ds-vector.apply-examples">
  <h3 class="title">Exemplos</h3>
  <div class="example" id="example-4166">
   <p><strong>Exemplo #1 Exemplo de <span class="function"><strong>Ds\Vector::apply()</strong></span></strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$vector </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Vector</span><span style="color: #007700">([</span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">]);<br /></span><span style="color: #0000BB">$vector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">apply</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$value</span><span style="color: #007700">) { return </span><span style="color: #0000BB">$value </span><span style="color: #007700">* </span><span style="color: #0000BB">2</span><span style="color: #007700">; });<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$vector</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>O exemplo acima produzirá
algo semelhante a:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Vector Object
(
    [0] =&gt; 2
    [1] =&gt; 4
    [2] =&gt; 6
)</pre>
</div>
   </div>
  </div>
 </div>



</div><?php manual_footer($setup); ?>